<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFlipsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('flips', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('blue_user_id')->nullable();
            $table->unsignedBigInteger('green_user_id')->nullable();
            $table->json('blue_user')->nullable();
            $table->json('green_user')->nullable();
            $table->json('blue_weapons')->nullable();
            $table->json('green_weapons')->nullable();
            $table->double('price', 255, 2);
            $table->string('winner')->nullable();
            $table->unsignedBigInteger('winner_id')->nullable();
            $table->integer('status')->default(0);
            $table->timestamps();

            $table->foreign('blue_user_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('green_user_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('winner_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('flips');
    }
}
